3

I've read the instructions on installing older versions but it appears that 2.4 is no longer available in the repos?

aptitude -y install mongodb-org-server=2.4
Unable to find a version "2.4" for the package "mongodb-org-server"
Unable to find a version "2.4" for the package "mongodb-org-server"
The following NEW packages will be installed:
  mongodb-org-server
0 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/9,416 kB of archives. After unpacking 23.7 MB will be used.
Selecting previously unselected package mongodb-org-server.
(Reading database ... 33931 files and directories currently installed.)
Preparing to unpack .../mongodb-org-server_2.6.3_amd64.deb ...
Unpacking mongodb-org-server (2.6.3) ...
Processing triggers for man-db (2.6.7.1-1) ...
Processing triggers for ureadahead (0.100.0-16) ...
Setting up mongodb-org-server (2.6.3) ...
mongod start/running, process 30690

UPDATE: I've also filed a ticket with Mongo's JIRA, which has received a reply.

2
6

It appears that starting with v2.6, Mongo is releasing packages that match the Ubuntu ones:

  • mongodb-org - metapackage that will automatically install the four component packages listed below.
  • mongodb-org-server - the mongod daemon and associated configuration and init scripts.
  • mongodb-org-mongos - the mongos daemon.
  • mongodb-org-shell - the mongo shell.
  • mongodb-org-tools - mongoimport, mongorestore etc.

But up to v2.4, Mongo published a mongodb-10gen package, which apparently is what you need to install:

sudo apt-get install mongodb-10gen=2.4.10
1
  • E: Unable to locate package mongodb-10gen :( – SSH This Jun 3 '16 at 16:47
2

This is probably already solved, but the documentation shows how to install mongoDB 2.4:

sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 7F0CEB10 echo 'deb http://downloads-distro.mongodb.org/repo/ubuntu-upstart dist 10gen' | sudo tee /etc/apt/sources.list.d/mongodb.list sudo apt-get update sudo apt-get install mongodb-10gen=2.4.14

1

@SSH This Mongodb 2.4.13 is absolete and the only way you will be able to install it is to download rpms

wget http://downloads-distro.mongodb.org/repo/redhat/os/x86_64/RPMS/mongo-10gen-server-2.4.13-mongodb_1.x86_64.rpm
wget http://downloads-distro.mongodb.org/repo/redhat/os/x86_64/RPMS/mongo-10gen-2.4.13-mongodb_1.x86_64.rpm

and install them. That's for redhat/fedora/centos and alike. For ubuntu, you'll need the ubuntu packages.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.